<div class="searchbox">
    <div>
        <mat-form-field appearance="standard">
            <mat-label>Search Lists</mat-label>
            <input type="search" matInput (keyup)="applyFilter($event)">
        </mat-form-field>
        <button mat-icon-button style="display: inline-block;">
            <mat-icon matSuffix>search</mat-icon>
        </button>
    </div>
    <span class="spacer"></span>
    <div>
        <button mat-mini-fab color="accent" *ngIf="!isSelection" (click)="openDialog()">
            <mat-icon>add</mat-icon>
        </button>
    </div>
    <div style=" width: 1rem"></div>
    <button mat-mini-fab color="accent" [matMenuTriggerFor]="listMenu"
        [disabled]="contactLists.selectedOptions.selected.length===0">
        <mat-icon>more_vert</mat-icon>
    </button>
    <mat-menu #listMenu="matMenu">
        <span *ngIf="!isSelection">
            <button mat-menu-item *ngIf="contactLists.selectedOptions.selected.length == 1">
                <mat-icon color="primary">playlist_add</mat-icon>
                <span>Add users to selected list</span>
            </button>
            <button mat-menu-item *ngIf="contactLists.selectedOptions.selected.length == 1">
                <mat-icon color="primary">edit</mat-icon>
                <span>Edit list</span>
            </button>
            <mat-divider *ngIf="contactLists.selectedOptions.selected.length == 1"></mat-divider>
            <button mat-menu-item (click)="confirm('remove')">
                <mat-icon color="warn">delete</mat-icon>
                <span>Remove selected</span>
            </button>
        </span>
        <span *ngIf="isSelection">
            <button mat-menu-item [mat-dialog-close]="contactLists.selectedOptions.selected">
                <mat-icon color="accent">contact_mail</mat-icon>
                <span>Send SMS</span>
            </button>
        </span>
    </mat-menu>
</div>
<!-- (click)="remove(contactLists.selectedOptions.selected)" -->
<mat-progress-bar mode="indeterminate" *ngIf="isLoading"></mat-progress-bar>
<mat-selection-list [multiple]="true" #contactLists>
    <div *ngIf="lists.length>0">
        <mat-list-option *ngFor="let list of visibleData" [value]="list">
            <mat-icon mat-list-icon>folder</mat-icon>
            <div mat-line><strong>{{ list.listName}}</strong></div>
            <div mat-line>Contacte: {{ list.contacts.length}}</div>
        </mat-list-option>
    </div>
    <mat-list-option *ngIf="lists.length==0">
        <div mat-line>No lists here...</div>
    </mat-list-option>

</mat-selection-list>
<mat-paginator [length]="lists.length" [pageSize]="paginatorPageSize" [pageSizeOptions]="paginatorPageSizes"
    (page)="onPageChange($event)" [class]="isSelection ? '' : 'sticky-bottom'">
</mat-paginator>